Endpoints
List Judges
Returns all judges for a court, including name, type, bio, chambers address, and standing order availability
GET
/
api
/
v1
/
judges
curl 'https://api.courtrules.app/api/v1/judges?district_id=edny' \
-H "Authorization: Bearer YOUR_API_KEY"
{
"district_id": "edny",
"judges": [
{
"slug": "nicholas-g-garaufis",
"name": "Nicholas G. Garaufis",
"has_profile": true,
"judge_type": "district",
"bio": "Senior United States District Judge for the Eastern District of New York...",
"chambers": "225 Cadman Plaza East, Brooklyn, NY 11201",
"profile_url": "https://www.nyed.uscourts.gov/judges/nicholas-g-garaufis"
},
{
"slug": "carol-bagley-amon",
"name": "Carol Bagley Amon",
"has_profile": true,
"judge_type": "senior",
"bio": null,
"chambers": null,
"profile_url": null
}
],
"meta": {
"total": 47,
"profiled": 47
}
}
string
required
District identifier (e.g.
edny). Use GET /api/v1/courts to see which
districts are accessible in your plan.curl 'https://api.courtrules.app/api/v1/judges?district_id=edny' \
-H "Authorization: Bearer YOUR_API_KEY"
{
"district_id": "edny",
"judges": [
{
"slug": "nicholas-g-garaufis",
"name": "Nicholas G. Garaufis",
"has_profile": true,
"judge_type": "district",
"bio": "Senior United States District Judge for the Eastern District of New York...",
"chambers": "225 Cadman Plaza East, Brooklyn, NY 11201",
"profile_url": "https://www.nyed.uscourts.gov/judges/nicholas-g-garaufis"
},
{
"slug": "carol-bagley-amon",
"name": "Carol Bagley Amon",
"has_profile": true,
"judge_type": "senior",
"bio": null,
"chambers": null,
"profile_url": null
}
],
"meta": {
"total": 47,
"profiled": 47
}
}
Response fields
string
The district ID from the request
array
Array of judge objects
Show Judge object
Show Judge object
string
Full display name
boolean
Whether this judge has a standing order profile with judge-specific rules
string | null
"district", "magistrate", "senior", or nullstring | null
Short biography excerpt, if available
string | null
Chambers address, if available
string | null
Link to the judge’s official court profile, if available
⌘I
curl 'https://api.courtrules.app/api/v1/judges?district_id=edny' \
-H "Authorization: Bearer YOUR_API_KEY"
{
"district_id": "edny",
"judges": [
{
"slug": "nicholas-g-garaufis",
"name": "Nicholas G. Garaufis",
"has_profile": true,
"judge_type": "district",
"bio": "Senior United States District Judge for the Eastern District of New York...",
"chambers": "225 Cadman Plaza East, Brooklyn, NY 11201",
"profile_url": "https://www.nyed.uscourts.gov/judges/nicholas-g-garaufis"
},
{
"slug": "carol-bagley-amon",
"name": "Carol Bagley Amon",
"has_profile": true,
"judge_type": "senior",
"bio": null,
"chambers": null,
"profile_url": null
}
],
"meta": {
"total": 47,
"profiled": 47
}
}